package logic

import (
	"context"

	"juwan-backend/app/wallet/rpc/internal/svc"
	"juwan-backend/app/wallet/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type SearchWalletsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSearchWalletsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SearchWalletsLogic {
	return &SearchWalletsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *SearchWalletsLogic) SearchWallets(in *pb.SearchWalletsReq) (*pb.SearchWalletsResp, error) {
	// todo: add your logic here and delete this line

	return &pb.SearchWalletsResp{}, nil
}
